Get dashboard summary metrics
Returns KPI totals for the authenticated merchant over a period: revenue, commissions, clicks, conversions and active affiliates.
Returns KPI totals for the authenticated merchant over a period: revenue, commissions, clicks, conversions and active affiliates.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the merchant dashboard (prefix rc_live_ / rc_test_). Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.
In: header
Query Parameters
period?|
Summary period. Defaults to 30d.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.refcampaign.com/api/v1/dashboard/summary"{
"success": true,
"data": {
"period": "7d",
"range": {
"from": "2019-08-24T14:15:22Z",
"to": "2019-08-24T14:15:22Z"
},
"totals": {
"revenueTotals": [
{
"currency": "str",
"amount": "string"
}
],
"commissionTotals": [
{
"currency": "str",
"amount": "string"
}
],
"clicks": 0,
"conversions": 0,
"activeAffiliates": 0,
"conversionRate": 0
}
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}